@import 'vars';

.header {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  margin: 0 24px;
  justify-content: center;

  @media (min-width: 350px) {
    justify-content: space-between;
  }
}


.logo {
  margin-right: 10px;
  
  img {
    height: 34px;
  }

  @include below(758px) {
    width: 150px;
  }

  .link {
    display: flex;
    align-items: center;
    font-size: 24px;
    cursor: pointer;
  }
}

.topnav {
  width: 100%;
}

.mainContainer {
  @include below(758px) {
    background-color: $c-black;
    position: fixed;
    top: 0;
    left: 0;
    margin: 0;
    width: 100%;
    z-index: 999;
  }
}

.container {
  display: flex;
  align-items: center;
  height: 50px;

  @media (min-width: 768px) {
    height: 124px;
  }
}


.mobileOnly {
  display: unset;
  
  @media (min-width: 768px) {
    display: none;
  }
}

.navlinks {
  display: flex;
  justify-content: space-between;
  list-style: none;
  margin-bottom: 0;
  padding-left: 0;
  width: 115px;
  
  @media (min-width: 768px) {
    width: 145px;
  }
  
  .linkContainer {
    .link {
      display: flex;
      background-color: transparent;
      outline: none;
      border: none;
      text-decoration: none;
      color: $c-alto;
      font-size: 17px;

      &:global(.active) {
        font-weight: 700;
        color: $c-flush-orange;
      }

      img {
        height: 15px;
        width: auto;

        @media (min-width: 768px) {
          height: 26px;
        }
      }

      &:hover,
      &:focus {
        color: #FFF;
      }
    }
  }
}
